<ng-container *ngIf="(user$ | async) as user; else loading">

<div class="bg-white mt-5 rounded-lg shadow-xl p-6">
    <div class="px-4 flex flex-col items-start">
      <h3 class="text-base font-semibold leading-7 text-gray-900">{{"dashboard.hi" | transloco}}, {{user.username}}</h3>
    </div>
    <div class="mt-6 border-t border-gray-100">
      <dl class="divide-y divide-gray-100">
        <div class="px-2 flex gap-x-8">
          <dt class="text-sm font-medium leading-6 text-gray-900">{{"dashboard.full_name" | transloco}}</dt>
          <dd class="mt-1 text-sm font-semibold leading-6 text-gray-700">{{user.name}}</dd>
        </div>
        <div class="px-2 flex gap-x-8">
            <dt class="text-sm font-medium leading-6 text-gray-900">{{"dashboard.phone" | transloco}}</dt>
          <dd class="mt-1 text-sm font-semibold leading-6 text-gray-700">{{user.phone}}</dd>
        </div>
        <div class="px-2 flex gap-x-8">
            <dt class="text-sm font-medium leading-6 text-gray-900">{{"dashboard.email" | transloco}}</dt>
          <dd class="mt-1 text-sm font-semibold leading-6 text-gray-700">{{user.email}}</dd>
        </div>
        <div class="px-2 flex gap-x-8">
            <dt class="text-sm font-medium leading-6 text-gray-900">{{"dashboard.website" | transloco}}</dt>
          <dd class="mt-1 text-sm font-semibold leading-6 text-gray-700">{{user.website}}</dd>
        </div>
      </dl>
    </div>
  </div>

</ng-container>

<ng-template #loading>
    <div class="mt-8" *ngIf="!loadingUserError">
        <!-- it will be shared component -->
        Loading...
    </div>

    <ng-container *ngIf="loadingUserError">
        <!-- it will be shared component -->
        Error while loading data
    </ng-container>
</ng-template>